Unit Unit1;

Interface

Uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ImageDropDown, jpeg;

Type
  TForm1 = Class(TForm)
    Button1: TButton;
    Button2: TButton;
    Panel1: TPanel;
    Image1: TImage;
    Button3: TButton;
    Procedure FormCreate(Sender: TObject);
    Procedure FormClose(Sender: TObject; Var Action: TCloseAction);
    Procedure Button1Click(Sender: TObject);
    Procedure Button2Click(Sender: TObject);
    Procedure Button3Click(Sender: TObject);
  Private
    idd: TImageDropDown<TJPEGImage>;
    Procedure NewIMGLoaded(Sender: TObject);
  Public
    { Dclarations publiques }
  End;

Var
  Form1: TForm1;

Implementation

{$R *.dfm}

Procedure TForm1.Button1Click(Sender: TObject);
Begin
  idd.SelectIMG;
End;

Procedure TForm1.Button2Click(Sender: TObject);
Begin
  idd.ClearIMG;
End;

Procedure TForm1.Button3Click(Sender: TObject);
Begin
  {
    I have always a jpeg to register, even if user drop png, bmp.
  }
  If Assigned(idd.IMG) Then
  Begin
    With TSaveDialog.Create(Self) Do
    Begin
      FileName := 'test.jpg';
      If Execute Then
        idd.IMG.SaveToFile(FileName);
    End;
  End
  Else
    MessageDlg('No picture loaded. Cannot save it.', mtWarning, [mbOK], 0);
End;

Procedure TForm1.FormClose(Sender: TObject; Var Action: TCloseAction);
Begin
  idd.Free;
End;

Procedure TForm1.FormCreate(Sender: TObject);
Begin
  idd                := TImageDropDown<TJPEGImage>.Create(Image1, Panel1);
  idd.OnAfterLoadImg := NewIMGLoaded;
End;

Procedure TForm1.NewIMGLoaded(Sender: TObject);
Begin
  MessageDlg(Format('Picture "%s" loaded.', [idd.FileName]), mtInformation, [mbOK], 0);
End;

End.
